interactive               package:base               R Documentation

Is R Running Interactively?

Description:

     Return 'TRUE' when R is being used interactively and 'FALSE'
     otherwise.

Usage:

     interactive()

See Also:

     'source', '.First'

Examples:

      .First <- function() if(interactive()) x11()

